<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>PropertyHolder Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">PropertyHolder Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="PropertyHolder" -->
<p>Keep a static instance of this structure in your property class so that your property class can implement properties more easily.  
 <a href="structPropertyHolder.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="stdpcimp_8h_source.html">celtool/stdpcimp.h</a>&gt;</code></p>

<p><a href="structPropertyHolder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">csHash</a>&lt; int, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPropertyHolder.html#a2e0b5410e17801a49eb94e87cb5dfc1c">constants</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a special hash that maps ID's to constants so that we can use a switch to see which ID it is.  <a href="#a2e0b5410e17801a49eb94e87cb5dfc1c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">csHash</a>&lt; int, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPropertyHolder.html#aee6da5c9ee68c5e92c26e0b55339f3d5">new_constants</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This hash is like 'constants' except that it is used for new-style action id's (like 'cel.wire.addinput').  <a href="#aee6da5c9ee68c5e92c26e0b55339f3d5"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Keep a static instance of this structure in your property class so that your property class can implement properties more easily. </p>

<p>Definition at line <a class="el" href="stdpcimp_8h_source.html#l00059">59</a> of file <a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2e0b5410e17801a49eb94e87cb5dfc1c"></a><!-- doxytag: member="PropertyHolder::constants" ref="a2e0b5410e17801a49eb94e87cb5dfc1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">csHash</a>&lt;int, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&gt; <a class="el" href="structPropertyHolder.html#a2e0b5410e17801a49eb94e87cb5dfc1c">PropertyHolder::constants</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is a special hash that maps ID's to constants so that we can use a switch to see which ID it is. </p>

<p>Definition at line <a class="el" href="stdpcimp_8h_source.html#l00072">72</a> of file <a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a>.</p>

</div>
</div>
<a class="anchor" id="aee6da5c9ee68c5e92c26e0b55339f3d5"></a><!-- doxytag: member="PropertyHolder::new_constants" ref="aee6da5c9ee68c5e92c26e0b55339f3d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">csHash</a>&lt;int, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&gt; <a class="el" href="structPropertyHolder.html#aee6da5c9ee68c5e92c26e0b55339f3d5">PropertyHolder::new_constants</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This hash is like 'constants' except that it is used for new-style action id's (like 'cel.wire.addinput'). </p>

<p>Definition at line <a class="el" href="stdpcimp_8h_source.html#l00078">78</a> of file <a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>celtool/<a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
